cascading.flow.local.planner

## Class LocalFlowStepJob

- java.lang.Object
- - cascading.flow.planner.FlowStepJob<Properties>
  - - cascading.flow.local.planner.LocalFlowStepJob

All Implemented Interfaces:
  Callable<Throwable>

    public class LocalFlowStepJob
    extends FlowStepJob<Properties>

### Field Summary

### Fields inherited from class cascading.flow.planner.FlowStepJob

`blockForCompletedChildDetailDuration, flowStep, flowStepStats, jobConfiguration, pollingInterval, predecessors, statsStoreInterval, stepName, throwable`

### Constructor Summary

Constructors
Constructor and Description
`LocalFlowStepJob(ClientState clientState, LocalFlowProcess flowProcess, LocalFlowStep flowStep)`

### Method Summary

Methods
`protected FlowStepStats` `createStepStats(ClientState clientState)`
`protected void` `dumpDebugInfo()`
`protected Throwable` `getThrowable()`
`protected void` `internalBlockOnStop()`
`protected boolean` `internalIsStartedRunning()`
`protected String` `internalJobId()`
`protected boolean` `internalNonBlockingIsComplete()`
`protected boolean` `internalNonBlockingIsSuccessful()`
`protected void` `internalNonBlockingStart()`
`protected boolean` `isRemoteExecution()`
`protected void` `updateNodeStatus(FlowNodeStats flowNodeStats)`

### Methods inherited from class cascading.flow.planner.FlowStepJob

`blockOnJob, blockOnPredecessors, blockTillCompleteOrStopped, call, finalizeNodeSliceCapture, getConfig, getStepStats, internalCleanup, isCallableStarted, isSkipFlowStep, isStarted, isSuccessful, setPredecessors, sleepForPollingInterval, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalFlowStepJob

    public LocalFlowStepJob(ClientState clientState,
                    LocalFlowProcess flowProcess,
                    LocalFlowStep flowStep)

### Method Detail

#### createStepStats

    protected FlowStepStats createStepStats(ClientState clientState)

Specified by:
  `createStepStats` in class `FlowStepJob<Properties>`

#### isRemoteExecution

    protected boolean isRemoteExecution()

Specified by:
  `isRemoteExecution` in class `FlowStepJob<Properties>`

#### internalJobId

    protected String internalJobId()

Specified by:
  `internalJobId` in class `FlowStepJob<Properties>`

#### internalNonBlockingStart

    protected void internalNonBlockingStart()
                                     throws IOException

Specified by:
  `internalNonBlockingStart` in class `FlowStepJob<Properties>`
Throws:
  `IOException`

#### updateNodeStatus

    protected void updateNodeStatus(FlowNodeStats flowNodeStats)

Specified by:
  `updateNodeStatus` in class `FlowStepJob<Properties>`

#### internalIsStartedRunning

    protected boolean internalIsStartedRunning()

Specified by:
  `internalIsStartedRunning` in class `FlowStepJob<Properties>`

#### internalNonBlockingIsComplete

    protected boolean internalNonBlockingIsComplete()
                                             throws IOException

Specified by:
  `internalNonBlockingIsComplete` in class `FlowStepJob<Properties>`
Throws:
  `IOException`

#### getThrowable

    protected Throwable getThrowable()

Specified by:
  `getThrowable` in class `FlowStepJob<Properties>`

#### internalNonBlockingIsSuccessful

    protected boolean internalNonBlockingIsSuccessful()
                                               throws IOException

Specified by:
  `internalNonBlockingIsSuccessful` in class `FlowStepJob<Properties>`
Throws:
  `IOException`

#### internalBlockOnStop

    protected void internalBlockOnStop()
                                throws IOException

Specified by:
  `internalBlockOnStop` in class `FlowStepJob<Properties>`
Throws:
  `IOException`

#### dumpDebugInfo

    protected void dumpDebugInfo()

Specified by:
  `dumpDebugInfo` in class `FlowStepJob<Properties>`